<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
error_reporting(E_ALL ^ E_NOTICE);



if (file_exists(INFUSIONS."suggestion_box/locale/".$settings['locale'].".php")) {
	include INFUSIONS."suggestion_box/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."suggestion_box/locale/English.php";
}

if (!isset($step)) $step = "";

if (isset($_POST['submit_response'])) {
	if (!$suggestion_id || !isNum($suggestion_id)) fallback(FUSION_SELF);
	$suggestion_response = stripinput($_POST['suggestion_response']);
	$suggestion_status = stripinput($_POST['suggestion_status']);
	$result = dbquery("UPDATE ".$db_prefix."suggestion_box SET suggestion_response='$suggestion_response', suggestion_status='$suggestion_status' WHERE suggestion_id='$suggestion_id'");
	redirect(FUSION_SELF);
}
if ($step == "delete") {
	$result = dbquery("DELETE FROM ".$db_prefix."suggestion_box WHERE suggestion_id='$suggestion_id'");
	$result = dbquery("DELETE FROM ".$db_prefix."comments WHERE comment_type='E' AND comment_item_id='$suggestion_id'");
	redirect(FUSION_SELF);
}
if ($step == "view") {
	if (!$suggestion_id || !isNum($suggestion_id)) fallback(FUSION_SELF);
	opentable($locale['err110']);
	$data = dbarray(dbquery(
		"SELECT ter.*, user_id,user_name FROM ".$db_prefix."suggestion_box ter
		LEFT JOIN ".$db_prefix."users tusr ON ter.suggestion_user=tusr.user_id
		WHERE suggestion_id='".$suggestion_id."'"
	));
	echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td colspan='2' class='tbl2'><b>".$data['suggestion_summary']."</b></td>
</tr>
<tr>
<td width='125' class='tbl2'>".$locale['err111']."</td>
<td class='tbl1'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a> -
".strftime($settings['longdate'], $data['suggestion_datestamp']+($settings['timeoffset']*3600))."</td>
</tr>
<tr>
<td width='125' class='tbl2'>".$locale['err113']."</td>
<td class='tbl1'>".nl2br($data['suggestion_description'])."</td>
</tr>
</tr>\n";
	if ($data['suggestion_response']) {
		echo "<tr>
<td width='125' class='tbl2'>".$locale['err114']."</td>
<td class='tbl1'>".nl2br($data['suggestion_response'])."</td>
</tr>\n";
	}
	echo "<tr>
<td width='125' class='tbl2'>".$locale['err115']."</td>
<td class='tbl1'>".$data['suggestion_status']."</td>
</tr>
</table>\n";
	closetable();
	tablebreak();
	opentable($locale['err160']);
	echo "<form name='responseform' method='post' action='".FUSION_SELF."?suggestion_id=$suggestion_id'>
<table align='center' cellspacing='0' cellpadding='0' class='tbl'>
<tr>
<td valign='top'>".$locale['err161']."</td>
<td><textarea name='suggestion_response' rows='5' class='textbox' style='width:300px;'>".$data['suggestion_response']."</textarea></td>
</tr>
<tr>
<td>Status:</td>
<td><select name='suggestion_status' class='textbox'>
<option".($data['suggestion_status'] == $locale['err162'] ? " selected" : "").">".$locale['err162']."</option>
<option".($data['suggestion_status'] == $locale['err163'] ? " selected" : "").">".$locale['err163']."</option>
<option".($data['suggestion_status'] == $locale['err164'] ? " selected" : "").">".$locale['err164']."</option>
<option".($data['suggestion_status'] == $locale['err165'] ? " selected" : "").">".$locale['err165']."</option>
<option".($data['suggestion_status'] == $locale['err166'] ? " selected" : "").">".$locale['err166']."</option>
</select></td>
<tr>
<td align='center' colspan='2'>
<input type='submit' name='submit_response' value='".$locale['err160']."' class='button'></td>
</tr>
</table>
</form>\n";
	closetable();
	tablebreak();
}
opentable($locale['err120']);
$result = dbquery(
	"SELECT ter.*, user_id,user_name FROM ".$db_prefix."suggestion_box ter
	LEFT JOIN ".$db_prefix."users tusr ON ter.suggestion_user=tusr.user_id
	ORDER BY suggestion_datestamp DESC"
);
if (dbrows($result)) {
	$i = 0;
	echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td align='center' width='75' class='tbl2'>".$locale['err121']."</td>
<td class='tbl2'>".$locale['err122']."</td>
<td align='center' width='150' class='tbl2'>".$locale['err111']."</td>
<td align='center' width='150' class='tbl2'>".$locale['err115']."</td>
<td align='center' width='100' class='tbl2'>".$locale['err150']."</td>
</tr>\n";
	while ($data = dbarray($result)) {
		$i % 2 == 0 ? $tclass="tbl1" : $tclass="tbl2";
		echo "<tr>
<td align='center' class='$tclass'>".$data['suggestion_id']."</td>
<td class='$tclass'><a href='".FUSION_SELF."?step=view&suggestion_id=".$data['suggestion_id']."'>".$data['suggestion_summary']."</a>
</td>
<td align='center' class='$tclass'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a></td>
<td align='center' class='$tclass'>".$data['suggestion_status']."</td>
<td align='center' class='$tclass'><a href='".FUSION_SELF."?step=delete&suggestion_id=".$data['suggestion_id']."'>".$locale['err151']."</a></td>
</tr>\n";
	}
	echo "</table>\n";
} else {
	echo "<center><br>\n".$locale['err123']."<br><br>\n</center>\n";
}
closetable();

require_once THEMES."templates/footer.php";
?>