<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."suggestion_box/infusion_db.php";

if (file_exists(INFUSIONS."suggestion_box/locale/".$settings['locale'].".php")) {
	include INFUSIONS."suggestion_box/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."suggestion_box/locale/English.php";
}

// Infusion Information
$inf_title = $locale['err100'];
$inf_description = $locale['err101'];
$inf_version = "1.0";
$inf_developer = "Scotty & JGudmundson - Update Dallas";
$inf_email = "scottsweb@swiftdsl.com.au";
$inf_weburl = "http://www.php-fusion.co.uk";

$inf_folder = "suggestion_box";


$inf_newtable[1] = DB_SUGGESTION_BOX." (
suggestion_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
suggestion_user SMALLINT(5) UNSIGNED DEFAULT '0' NOT NULL,
suggestion_summary VARCHAR(200) DEFAULT '' NOT NULL,
suggestion_version VARCHAR(50) DEFAULT '5' NOT NULL,
suggestion_description TEXT NOT NULL,
suggestion_response TEXT NOT NULL,
suggestion_status VARCHAR(100) DEFAULT 'Awaiting Response' NOT NULL,
suggestion_datestamp INT(10) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (suggestion_id)
) TYPE=MyISAM;";

$inf_droptable_[1] = DB_SUGGESTION_BOX;

$inf_adminpanel[1] = array(
	"title" => $locale['err102'],
	"image" => "infusion_panel.gif",
	"panel" => "suggestion_box_admin.php",
	"rights" => "SSB"
);

$inf_sitelink[1] = array(
	"title" => $locale['err102'],
	"url" => "suggestion_box.php",
	"visibility" => "101"
);
?>